package com.jpsoft.shinestar.modules.business.dao;

import com.jpsoft.shinestar.modules.business.entity.AdjustShiftPerson;
import com.jpsoft.shinestar.modules.common.dto.Sort;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author 墨鱼_mo
 * @date 2021-4-27 15:46
 */
@Repository
public interface AdjustShiftPersonDAO {

    int insert(AdjustShiftPerson entity);
    int update(AdjustShiftPerson entity);
    int exist(String id);
    AdjustShiftPerson get(String id);
    int delete(String id);
    List<AdjustShiftPerson> list();
    List<AdjustShiftPerson> search(Map<String, Object> searchParams, List<Sort> sortList);

    List<AdjustShiftPerson> findByAdjustShiftId(String adjustShiftId);
}
